package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability3156/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaTclsAelophyOrderReceiptQueryRequest struct {
	/*
	   小票查询请求     */
	ReceiptQueryRequest *domain.AlibabaTclsAelophyOrderReceiptQueryReceiptQueryRequest `json:"receipt_query_request" required:"true" `
}

func (s *AlibabaTclsAelophyOrderReceiptQueryRequest) SetReceiptQueryRequest(v domain.AlibabaTclsAelophyOrderReceiptQueryReceiptQueryRequest) *AlibabaTclsAelophyOrderReceiptQueryRequest {
	s.ReceiptQueryRequest = &v
	return s
}

func (req *AlibabaTclsAelophyOrderReceiptQueryRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ReceiptQueryRequest != nil {
		paramMap["receipt_query_request"] = util.ConvertStruct(*req.ReceiptQueryRequest)
	}
	return paramMap
}

func (req *AlibabaTclsAelophyOrderReceiptQueryRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
